summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Smith <matt@offtopica.uk>2021-09-16 17:21:20 +0100
committerIonen Wolkens <ionen@gentoo.org>2021-09-16 14:43:32 -0400
commita8916b8f61dbc5d8ab40f8366c9fdb480ec77446 (patch)
treefdb20ea22bdaa589f814ff4a709be11773c07ce3 /net-proxy
parentmedia-sound/spotify-tray: drop version 1.3.1 (diff)
downloadgentoo-a8916b8f61dbc5d8ab40f8366c9fdb480ec77446.tar.gz
gentoo-a8916b8f61dbc5d8ab40f8366c9fdb480ec77446.tar.bz2
gentoo-a8916b8f61dbc5d8ab40f8366c9fdb480ec77446.zip
net-proxy/mitmproxy: Bump to 7.0.3
Bug: https://bugs.gentoo.org/813396 Package-Manager: Portage-3.0.23, Repoman-3.0.3 Signed-off-by: Matt Smith <matt@offtopica.uk> Closes: https://github.com/gentoo/gentoo/pull/22310 Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Diffstat (limited to 'net-proxy')
-rw-r--r--net-proxy/mitmproxy/Manifest1
-rw-r--r--net-proxy/mitmproxy/mitmproxy-7.0.3.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/net-proxy/mitmproxy/Manifest b/net-proxy/mitmproxy/Manifest
index 02e07ade479..0775b501ed2 100644
--- a/net-proxy/mitmproxy/Manifest
+++ b/net-proxy/mitmproxy/Manifest
@@ -1,3 +1,4 @@
DIST mitmproxy-6.0.2.tar.gz 27274682 BLAKE2B 146fc4cd376e4ff02d13bf168b26868c5a33b47b30e678fb6d97df36c4b8ec9e8b9ca6e864e56c3943b231a2f2745c1abd7c58814ddf712113c2a20704a6964f SHA512 27eb5e9736891148b5ebec963a2d18de6a69b44428538d2ed1cf9a1dcdd7cbcdeeed662edb2d25521098374e2f9a29b5bb8fba8da4f77ac0d32bf7881ac70d61
DIST mitmproxy-7.0.0.tar.gz 27308204 BLAKE2B bea89db0dd39a8b3bd516d2e7c2868d4c226afdc78974ce0f88c055fcb4f907e398922c725cd93d344450e3e7e107c23c63ef6a60d19bff48400f6eeb4d0af0a SHA512 3836a33e5d2be09fb89987d2b0b898183dab9f17b990b98ab754d07cc5d7275786cfac0ab946e65a099ece054c7bbd65d62d01e4e4281e5f9b5f3dcdd0ac80b4
DIST mitmproxy-7.0.2.tar.gz 27310814 BLAKE2B 294aad79f45b997d58c7c4cc869ccfedebe0e4fe72887679f942bf2eba37e2bcf5fff1922023bfd74b5ff46f7e62906a2ffaf99c4c59000f6d9d67fbcb68afdc SHA512 1335c868c93adc414fa84678b0ca7989aa7cf33906e220cf62cb5c57d17b57fe0e04143179a8d8033a312521f24654de040732416c5bed77f66591a2fe708c02
+DIST mitmproxy-7.0.3.tar.gz 27311502 BLAKE2B a55f8a43cc052e342a0630fdd80fc713be7ce3db7b3899ccce79cfcd385345b7ebe8480c618c626d63e851d92f528a350d614ac3c7dfb85b01a555389d914ff7 SHA512 cffbb60421724fa28aab69b3bf1100e0aa5ab6e8933186f5706eb4eee35ef0f716616001156dac07921c73024e6ad8b98499a273575c592bb7694c0dffb728da
diff --git a/net-proxy/mitmproxy/mitmproxy-7.0.3.ebuild b/net-proxy/mitmproxy/mitmproxy-7.0.3.ebuild
new file mode 100644
index 00000000000..1fd919e9022
--- /dev/null
+++ b/net-proxy/mitmproxy/mitmproxy-7.0.3.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9} )
+PYTHON_REQ_USE="sqlite"
+inherit distutils-r1
+
+DESCRIPTION="An interactive, SSL-capable, man-in-the-middle HTTP proxy"
+HOMEPAGE="https://mitmproxy.org/"
+SRC_URI="https://github.com/mitmproxy/mitmproxy/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=app-arch/brotli-1.0.0[python,${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.2.10[${PYTHON_USEDEP}]
+ >=dev-python/blinker-1.4[${PYTHON_USEDEP}]
+ >=dev-python/certifi-2015.11.20.1[${PYTHON_USEDEP}]
+ >=dev-python/click-7.0[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-3.3[${PYTHON_USEDEP}]
+ >=dev-python/flask-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/hyper-h2-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/hyperframe-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/kaitaistruct-0.7[${PYTHON_USEDEP}]
+ >=dev-python/ldap3-2.8[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/passlib-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/publicsuffix-2.20190205[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-20.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pyperclip-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/ruamel-yaml-0.16[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.3.0[${PYTHON_USEDEP}]
+ >=www-servers/tornado-4.3[${PYTHON_USEDEP}]
+ >=dev-python/urwid-2.1.1[${PYTHON_USEDEP}]
+ >=dev-python/wsproto-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.11.0[${PYTHON_USEDEP}]
+ dev-libs/openssl:0
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/hypothesis-5.8[${PYTHON_USEDEP}]
+ >=dev-python/parver-0.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.10.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.9.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # loosen dependencies
+ sed -i \
+ -e '/>/s/>.*/",/g' \
+ -e '/python_requires/d' \
+ setup.py || die
+
+ # remove failing test
+ sed -i 's/test_get_version/_&/g' test/mitmproxy/test_version.py || die
+
+ distutils-r1_python_prepare_all
+}